Übersicht über alle Kompensationsparameter

Kursiv dargestellte Parameter werden momentan nicht verwendet bzw. sind nicht verfügbar.

ID | Struktur | Parameter | Bedeutung
P-COMP-00001 | kopf. | achs_nr | Listenkopf
P-COMP-00002 | kopf. | log_achs_name | Listenkopf
P-COMP-00003 | kw.crosscomp. | unit | Kreuzkompensation
P-COMP-00004 | kw.crosscomp. | last_index | Kreuzkompensation
P-COMP-00005 | kw.crosscomp. | slave_ax_nr | Kreuzkompensation
P-COMP-00006 | kw.crosscomp.table[i]. | setpoint | Kreuzkompensation
P-COMP-00007 | kw.crosscomp.table[i]. | correction | Kreuzkompensation
P-COMP-00008 | kw.crosscomp2. | unit | Flächenkompensation
P-COMP-00009 | kw.crosscomp2. | interval | Flächenkompensation
P-COMP-00010 | kw.crosscomp2. | last_index_master1 | Flächenkompensation
P-COMP-00011 | kw.crosscomp2. | last_index_master2 | Flächenkompensation
P-COMP-00012 | kw.crosscomp2. | start_position_master1 | Flächenkompensation
P-COMP-00013 | kw.crosscomp2. | start_position_master2 | Flächenkompensation
P-COMP-00014 | kw.crosscomp2. | master1_ax_nr | Flächenkompensation
P-COMP-00015 | kw.crosscomp2. | master2_ax_nr | Flächenkompensation
P-COMP-00016 | kw.crosscomp2.table[i][j]. | correction | Flächenkompensation
P-COMP-00017 | kw.ssfk. | unit | Spindelsteigungsfehlerkomp.
P-COMP-00018 | kw.ssfk. | interval | Spindelsteigungsfehlerkomp.
P-COMP-00019 | kw.ssfk. | kw_startpos | Spindelsteigungsfehlerkomp.
P-COMP-00020 | kw.ssfk. | kw_nr_max | Spindelsteigungsfehlerkomp.
P-COMP-00021 | kw.ssfk. | bilateral | Spindelsteigungsfehlerkomp.
P-COMP-00022 | kw.ssfk. | modulo | Spindelsteigungsfehlerkomp.
P-COMP-00023 | kw.ssfk.table[i]. | pos | Spindelsteigungsfehlerkomp.
P-COMP-00024 | kw.ssfk.table[i]. | neg | Spindelsteigungsfehlerkomp.
P-COMP-00025 | kw.ssfk.table[i]. | setpoint | Spindelsteigungsfehlerkomp.
P-COMP-00026 | kw.crosscomp. | n_cycles | Kreuzkompensation
P-COMP-00027 | kw.crosscomp2. | n_cycles | Flächenkompensation


Gliederung der Korrekturdaten

Die Daten für die Kompensationsverfahren

q Kreuzkompensation,

q Flächenkompensation und

q Spindelsteigungsfehlerkompensation

werden für jede Achse in s.g. Korrekturwertlisten (achskw*.lis) abgelegt, die bei Hochlauf der Steuerung eingelesen werden bzw. zu einem späteren Zeitpunkt aktualisiert werden können.

Um die Korrekturtabelle in der Steuerung bekannt zu machen, müssen in der Hochlaufbeschreibung entsprechende Einträge vorhanden sein [STUP].

Abbildung 1-1: Zuordnung von Korrekturdaten zu den logischen Achsen

Momentan sind nur Achskonfigurationen mit einer Gruppe möglich [CHAN], so daß gilt:"dec_achs_nr" = "achsen_idx"

Die Korrekturwertliste besteht aus einem Listenkopf, in den allgemeine Daten eingetragen werden, sowie dem Listenrumpf, in dem die Korrekturalgorithmen parametriert sind und die eigentlichen Korrekturtabellen enthalten sind.

Die Anfangs-Achskonfiguration des NC-Kanals wird in der Kanalparameterliste festgelegt [CHAN].

Die Aktivierung einer Kompensation erfolgt im entsprechenden Achsmaschinendatensatz [AXIS] (P-AXIS-00047, P-AXIS-00174, P-AXIS-00175).


Syntax und Interpretation des Korrekturwert-ASCII-Files

Die Korrekturdaten werden in einem ASCII-File definiert und von einem ASCII-Interpreter interpretiert und in den entsprechenden Strukturen gespeichert.

Danach werden für die Korrekturdaten Plausibilitätsprüfungen durchgeführt.

Dieses Dokument definiert Inhalt und Syntax des ASCII-Files (Beispiel "achskw*.lis") sowie die Elemente der Korrekturwertliste.

Für Korrekturdaten vom Typ BOOLEAN gilt folgende Vereinbarung:

Wert | Bedeutung
0 | Definition von FALSE
1 | Definition von TRUE


Kommentar im ASCII-File

Kommentare können ganzzeilig, oder am Ende einer Zeile eingefügt werden.

Bei ganzzeiligem Kommentar muß am Zeilenanfang das Kommentarzeichen "'#", gefolgt von einem Leerzeichen eingefügt werden.

Soll am Ende einer Zeile ein Kommentar eingefügt werden, so muß vor dem Kommentar lediglich ein Leerzeichen vorhanden sein. Wurde in der Zeile jedoch ein String definiert, so muß dem Kommentar das Kommentarzeichen "(" vorangestellt werden.

Leerzeilen sind ebenfalls möglich.

Beispiel:

# ************************************************************************

# Daten

# ************************************************************************

#

# Auflistung

dummy[1] 1 Kommentar

dummy[2] 1 # Kommentar

dummy[3] 1 ( Kommentar

dummy[4] 1 /* Kommentar

...

...

beispiel[0].bezeichnung STRING_2 (Kommentar, hier Kommentarklammer nötig!)


Der Korrekturwertlistenkopf (kopf.*)

Der Listenkopf ist in der Liste durch die Strukturvariable "kopf" gekennzeichnet. Sie enthält die nachfolgenden Elemente.

Wenn die Korrekturwertliste durch den TwinCAT Systemmanager konfiguriert wird, werden diese Einträge in der Korrekturwertliste automatisch belegt.

Mehr:

button Logische Achsnummer (P-COMP-00001)

button Achsname (P-COMP-00002)


Logische Achsnummer (P-COMP-00001)

Die logische Achsnummer ist eine systemweit eindeutige Identifikationskennung für jede Achse. Mit P-COMP-00001 erfolgt die Zuordnung der Korrekturwertliste zur entsprechenden logischen Achse.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
achs_nr | UNS16 | 0 < achs_nr < MAX(UNS16) | T, R | ----

Eine logische Achsnummer darf nicht mehrfach verwendet werden. Die logische Achsnummer "0" ist nicht erlaubt.


Achsname (P-COMP-00002)

Hier handelt es sich um einen String. Dieser Achsname der Achse wird nur für Diagnosezwecke verwendet und hat ansonsten keinerlei Bedeutung.

Variablenname | Typ | erlaubter Bereich | Dimension
log_achs_name | ACHS_NAME | String | ----

ACHS_NAME besteht aus folgendem Array:

Variablenname | Typ | Index | Dimension
zeichen[m] | SGN08 | m = 0 ... [ACHS_NAME_LAENGE - 1] | ----

Wert ACHS_NAME_LAENGE | Bedeutung
applikationsabhängig | maximale Länge der Achsbezeichnung


Allgemeine Korrekturwertdaten (kw.*)

Der Listenrumpf beinhaltet allgemeine Daten sowie die Korrekturtabellen. Die Einträge des Listenrumpfes sind durch die Strukturvariable kw gekennzeichnet. Sie enthält für die jeweiligen Kompensationsverfahren die nachfolgenden Substrukturen.

Mehr:

button Kreuzkompensation (kw.crosscomp.*)

button Flächenkompensation (kw.crosscomp2.*)

button Spindelsteigungsfehlerkompensation (kw.ssfk.*)


Kreuzkompensation (kw.crosscomp.*)

Die Kreuzkompensation (auch Durchhangkompensation genannt) ermöglicht die Korrektur einer Achsposition in Abhängigkeit der Istposition einer anderen Achse.

Die Daten der Kreuzkompensation werden in der Korrekturwertliste der Masterachse angegeben. Die allgemeinen Daten des Listenrumpfes werden unter der Struktur kw.crosscomp.* eingetragen. Sie enthält nachfolgende Elemente.

Mehr:

button Einheit der Längenangaben (P-COMP-00003)

button Letzter Index der Korrekturwerttabelle (P-COMP-00004)

button Logische Achsnummer der Masterachse (P-COMP-00005)

button Anzahl der Zyklen für "weiches Schalten" (P-COMP-00026)

button Tabelle der Korrekturwerte (kw.crosscomp.table[i].*)

button Beispiel einer Korrekturwertliste


Einheit der Längenangaben (P-COMP-00003)

Der Parameter "kw.crosscomp.unit" bestimmt, in welcher Einheit die Längenangaben der Korrekturwerte zu verwenden sind.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
unit | BOOLEAN | 0 = Encoder-Inkremente 1 = Metrisch (in 0,1 µm) | T | ----


Letzter Index der Korrekturwerttabelle (P-COMP-00004)

Mit "kw.crosscomp.last_index" wird der letzte gültige Index in der Tabelle der Masterachse (Maximal 1000 Werte) bestimmt. Die Tabelle beginnt immer mit Index 0

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
last_index | SGN32 | 0 < last_index < 1000 | T | ----


Logische Achsnummer der Masterachse (P-COMP-00005)

Mit "kw.crosscomp.master_ax_nr" wird die logische Achsnummer der Masterachse bestimmt, deren Sollposition als Eingangsgrösse der Kompensationstabelle der Slaveachse dient.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
master_ax_nr | UNS16 | 1 < master _ax_nr < MAX (UNS16) | T | ----


Anzahl der Zyklen für "weiches Schalten" (P-COMP-00026)

Der Parameter "kw.crosscomp.n_cycles" bestimmt die Anzahl der Zyklen, über welche die Kreuzkompensation weich ein-/ausgekoppelt wird.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
n_cycles | UNS16 | 0 < n_cycles < MAX_CROSSCOMP_CYC | T | ----

Wert MAX_CROSSCOMP_CYC | Bedeutung
applikationsabhängig | Maximale Taktzahl, ueber die ein-/ausgekoppelt werden soll.


Tabelle der Korrekturwerte (kw.crosscomp.table[i].*)

Für jeden Stützpunkt (maximal 1000 Werte) wird in der Tabelle kw.crosscomp.table[i].* der entsprechende Korrekturwert der Slaveachse eingetragen. Die Kompensationstabelle gilt in positiver und in negativer Bewegungsrichtung. Sie enthält nachfolgende Elemente.

Mehr:

button Stützpunkte der Masterachse (P-COMP-00006)

button Korrekturwerte für die Slaveachse (P-COMP-00007)


Stützpunkte der Masterachse (P-COMP-00006)

Mit dem Parameter "kw.crosscomp.table[i].setpoint" werden die Stützpunkte der Masterachse definiert, bei denen die Slaveachse korrigiert werden muß.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
setpoint | SGN32 | MIN(SGN32) < setpoint < MAX(SGN32) | T | 0,1µm oder Inkremente


Korrekturwerte für die Slaveachse (P-COMP-00007)

Mit dem Parameter "kw.crosscomp.table[i].correction" werden die relativen Korrekturwerte für die Slaveachse an den Stützpunkten i definiert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
correction | SGN32 | MIN(SGN32) < correction < MAX(SGN32) | T | 0,1µm oder Inkremente


Beispiel einer Korrekturwertliste

# ****************************************

# Achskompensationsdaten Z-Achse

# ****************************************

kopf.achs_nr 3

kopf.log_achs_name Z

kw.crosscomp.last_index 99 /*Last valid index of the table*/

kw.crosscomp.master_ax_nr 1 /*Log. ax. number of the master axis*/

kw.crosscomp.unit 1 /*0:Incr. 1:Metric in 0.1 µm*/

kw.crosscomp.n_cycles 10

#

kw.crosscomp.table[0].setpoint 10735

kw.crosscomp.table[0].correction 3

kw.crosscomp.table[1].setpoint 11523

kw.crosscomp.table[1].correction 5

:

:

kw.crosscomp.table[99].setpoint 10000000 /*at 1000 mm of axis 3*/

kw.crosscomp.table[99].correction 1000 /*corr. of 0,1 mm for axis 1*/


Flächenkompensation (kw.crosscomp2.*)

Die Flächenkompensation ermöglicht die Korrektur einer Achsposition in Abhängigkeit der Istpositionen von zwei Achsen. Die Achse, bei der die Korrektur wirksam wird, heißt Slaveachse. Die beiden Achsen, deren Istpositionen den Korrekturwert beeinflussen, heißen Masterachsen.

Die Daten der Flächenkompensation werden in der Korrekturwertliste der Slaveachse angegeben. Die allgemeinen Daten des Listenrumpfes werden unter der Struktur kw.cross comp2.* eingetragen. Sie enthält nachfolgende Elemente.

Mehr:

button Einheit der Längenangaben (P-COMP-00008)

button Abstand zwischen den Stützpunkten (P-COMP-00009)

button Letzter Index der Masterachse 1 (P-COMP-00010)

button Letzter Index der Masterachse 2 (P-COMP-00011)

button Startposition der Masterachse 1 (P-COMP-00012)

button Startposition der Masterachse 2 (P-COMP-00013)

button Logische Achsnummer der Masterachse 1 (P-COMP-00014)

button Logische Achsnummer der Masterachse 2 (P-COMP-00015)

button Anzahl der Zyklen für "weiches Schalten" (P-COMP-00027)

button Tabelle der Korrekturwerte (kw.crosscomp2.table[j][i].*)

button Beispiel einer Korrekturwertliste


Einheit der Längenangaben (P-COMP-00008)

Der Parameter "kw.crosscomp2.unit" bestimmt, in welcher Einheit die Längen-/Positions-angaben zu verwenden sind.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
unit | BOOLEAN | 0 = Encoder-Inkremente 1 = Metrisch (in 0,1 µm) | T | ----


Abstand zwischen den Stützpunkten (P-COMP-00009)

Mit "kw.crosscomp2.interval" wird die Schrittweite zwischen zwei Stützpunkten definiert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
interval | UNS32 | 0 < interval < MAX(UNS32) | T | 0,1µm oder Inkremente


Letzter Index der Masterachse 1 (P-COMP-00010)

Mit "kw.crosscomp2.last_index_master1" wird der letzte gültige Index in der Tabelle der ersten Masterachse (maximal 100 Werte) bestimmt. Die Tabelle beginnt immer mit Index 0.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
last_index_master1 | SGN32 | 0 < last_index_master1 < 100 | T | ----


Letzter Index der Masterachse 2 (P-COMP-00011)

Mit "kw.crosscomp2.last_index_master2" wird der letzte gültige Index in der Tabelle der zweiten Masterachse (maximal 100 Werte) bestimmt. Die Tabelle beginnt immer mit Index 0.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
last_index_master2 | SGN32 | 0 < last_index_master2 < 100 | T | ----


Startposition der Masterachse 1 (P-COMP-00012)

Der Parameter "kw.crosscomp2.start_position_master1" bestimmt die Position der Masterachse 1, bei der die Korrekturtabelle beginnt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
start_position_master1 | SGN32 | MIN(SGN32) < start_position_master1< MAX(SGN32) | T | 0,1µm oder Inkr.


Startposition der Masterachse 2 (P-COMP-00013)

Der Parameter "kw.crosscomp2.start_position_master2" bestimmt die Position der Masterachse 2, bei der die Korrekturtabelle beginnt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
start_position_master2 | SGN32 | MIN(SGN32) < start_position_master2< MAX(SGN32) | T | 0,1µm oder Inkr.


Logische Achsnummer der Masterachse 1 (P-COMP-00014)

Mit "kw.crosscomp2.master1_ax_nr" wird die logische Achsnummer der ersten Masterachse bestimmt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
master1_ax_nr | UNS16 | 1 < master1_ax_nr < MAX (UNS16) | T | ----


Logische Achsnummer der Masterachse 2 (P-COMP-00015)

Mit "kw.crosscomp2.master2_ax_nr" wird die logische Achsnummer der zweiten Masterachse bestimmt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
master2_ax_nr | UNS16 | 1 < master2_ax_nr < MAX (UNS16) | T | ----


Anzahl der Zyklen für "weiches Schalten" (P-COMP-00027)

Der Parameter "kw.crosscomp2.n_cycles" bestimmt die Anzahl der Zyklen, über welche die Flächenkompensation weich ein-/ausgekoppelt wird.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
n_cycles | UNS16 | 0 < n_cycles < MAX_CROSSCOMP2_CYC | T | ----

Wert MAX_CROSSCOMP2_CYC | Bedeutung
applikationsabhängig | Maximale Taktzahl, über die ein-/ausgekoppelt werden soll.


Tabelle der Korrekturwerte (kw.crosscomp2.table[j][i].*)

Für jeden Stützpunkt wird in der Tabelle kw.crosscomp2.table[j][i].* der entsprechende Korrekturwert der Slaveachse eingetragen.

Mehr:

button Korrekturwerte für die Slaveachse (P-COMP-00016)


Korrekturwerte für die Slaveachse (P-COMP-00016)

Mit dem Parameter "kw.crosscomp2.table[j][i].correction" werden die relativen Korrekturwerte für die Slaveachse an den Stützpunkten [j][i] definiert. Bei der Indizierung der Stützpunkte in der Korrekturwertliste bezieht sich immer der erste Index j auf die zweite Masterachse.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
correction | SGN32 | MIN(SGN32) < correction < MAX(SGN32) | T | 0,1µm oder Inkremente


Beispiel einer Korrekturwertliste

# ****************************************

# Achskompensationsdaten Z-Achse

# ****************************************

kopf.achs_nr 1

kopf.log_achs_name X

kw.crosscomp2.interval 100000 /* 10 mm */

kw.crosscomp2.last_index_master1 100

kw.crosscomp2.last_index_master2 100

kw.crosscomp2.start_position_master1 -400000 /* -40 mm */

kw.crosscomp2.start_position_master2 -700000 /* -70 mm */

kw.crosscomp2.unit 1 /* 0,1 my */

kw.crosscomp2.n_cycles 10

kw.crosscomp2.master1_ax_nr 1

kw.crosscomp2.master2_ax_nr 2

kw.crosscomp2.table[ 0][ 0].correction -3

kw.crosscomp2.table[ 0][ 1].correction -1

kw.crosscomp2.table[ 0][ 2].correction 4

kw.crosscomp2.table[ 0][ 3].correction 9

kw.crosscomp2.table[ 0][ 4].correction 13

kw.crosscomp2.table[ 0][ 5].correction 17

kw.crosscomp2.table[ 0][ 6].correction 42

kw.crosscomp2.table[ 0][ 7].correction 53

...

kw.crosscomp2.table[100][ 90].correction 82

kw.crosscomp2.table[100][ 91].correction 77

kw.crosscomp2.table[100][ 92].correction 68

kw.crosscomp2.table[100][ 93].correction 63

kw.crosscomp2.table[100][ 94].correction 61

kw.crosscomp2.table[100][ 95].correction 59

kw.crosscomp2.table[100][ 96].correction 57

kw.crosscomp2.table[100][ 97].correction 52

kw.crosscomp2.table[100][ 98].correction 56

kw.crosscomp2.table[100][ 99].correction 58

kw.crosscomp2.table[100][100].correction 49

Ende


Spindelsteigungsfehlerkompensation (kw.ssfk.*)

Bei der Spindelsteigungsfehlerkompensation (nachfolgend als SSFK bezeichnet) handelt es sich um eine axiale Korrektur. Der Lagesollwert der kompensierten Achse wird im Lagereglertakt um einen Korrekturwert verändert um zum Beispiel Spindelsteigungsfehler zu kompensieren. Bei den gemessenen Lageistwerten wird diese Korrektur wieder herausgerechnet, so dass die durchgeführte Korrektur nicht in den Anzeigedaten der Steuerung in Erscheinung tritt.

Die Daten der SSFK werden in der zugehörigen Korrekturwertliste der jeweiligen Achse angegeben. Die allgemeinen Daten des Listenrumpfes werden unter der Struktur kw.ssfk.* eingetragen. Sie enthält nachfolgende Elemente.

Mehr:

button Einheit der Längenangaben (P-COMP-00017)

button Abstand zwischen den Stützpunkten (P-COMP-00018)

button Startposition der Korrekturwerte (P-COMP-00019)

button Anzahl der Korrekturwerte (P-COMP-00020)

button Arbeitsweise der Kompensation (P-COMP-00021)

button Kompensation einer Moduloachse (P-COMP-00022)

button Tabelle der Korrekturwerte (kw.ssfk.table[i].*)

button Beispiel einer Korrekturwertliste


Einheit der Längenangaben (P-COMP-00017)

Der Parameter "kw.ssfk.unit" bestimmt, in welcher Einheit die Längen-/Positionsangaben zu verwenden sind.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
unit | BOOLEAN | 0 = Encoder-Inkremente 1 = Metrisch (in 0,1 µm) | T | ----


Abstand zwischen den Stützpunkten (P-COMP-00018)

Mit "kw.ssfk.interval" wird der Abstand der Stützpunkte der Korrekturtabelle bei Verwendung von äquidistanten Stützpunkten definiert. Ist dieser Parameter = 0 so muss die Position jedes Stützpunktes separat angegeben werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
interval | SGN32 | 0 < interval < MAX(SGN32) | T | 0,1µm oder Inkremente


Startposition der Korrekturwerte (P-COMP-00019)

Der Parameter "kw.ssfk.kw_startpos" bestimmt die Position der Achse, bei der die Korrekturtabelle beginnt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
kw_startpos | SGN32 | MIN(SGN32) < kw_startpos < MAX(SGN32) | T | 0,1µm oder Inkr.


Anzahl der Korrekturwerte (P-COMP-00020)

Mit "kw.ssfk.kw_nr_max" wird die Anzahl der Einträge in der Korrekturtabelle bestimmt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
kw_nr_max | SGN32 | 0 < kw_nr_max < MAX(SGN32) | T | ----


Arbeitsweise der Kompensation (P-COMP-00021)

Der Parameter "kw.ssfk.bilateral" bestimmt, ob die Kompensation einseitig oder doppelseitig wirken soll.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
bilateral | BOOLEAN | 0 = Einseitige Kompensation 1 = Doppelseitige Kompensation | T | ----


Kompensation einer Moduloachse (P-COMP-00022)

Mit "kw.ssfk.modulo" wird die Korrekturtabelle für eine Modulo-Achse konfiguriert. Hierbei findet beim Moduloübergang der Achsposition auch ein Moduloübergang in der Korrekturtabelle statt.

Dabei sind folgende Besonderheiten zu beachten:

q Die Positionswerte des ersten und des letzten Eintrags in der Korrekturliste müssen gleich sein.

q Die Anzahl der Korrekturwerte ist auch hier gleich der Anzahl der Einträge in der Korrekturwerttabelle.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
modulo | BOOLEAN | 0 = Kompensation ohne Modulobehandlung 1 = Kompensation für eine Moduloachse | T | ----


Tabelle der Korrekturwerte (kw.ssfk.table[i].*)

Die Angabe der Korrekturwerte erfolgt in der Tabelle "kw.ssfk.table[i].*" Der Feldindex i kann dabei die durch P-COMP-00020 bestimmte Anzahl an Werten annehmen. Die Angabe der Korrekturwerte erfolgt als absoluter Positionsfehler in der in P-COMP-00017 angegebenen Einheit.

Die Tabelle der Korrekturwerte enthält die nachfolgenden Elemente.

Mehr:

button Korrekturwert in positiver Richtung (P-COMP-00023)

button Korrekturwert in negativer Richtung (P-COMP-00024)

button Stützpunkte der Achse (P-COMP-00025)


Korrekturwert in positiver Richtung (P-COMP-00023)

Der Parameter "kw.ssfk.table[i].pos" definiert einen Korrekturwert bei Bewegung in positiver Richtung am Stützpunkt i.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
pos | SGN16 | MIN(SGN16) < pos < MAX(SGN16) | T | 0,1µm oder Inkr.


Korrekturwert in negativer Richtung (P-COMP-00024)

Der Parameter "kw.ssfk.table[i].neg" definiert einen Korrekturwert bei Bewegung in negativer Richtung am Stützpunkt i.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
neg | SGN16 | MIN(SGN16) < neg < MAX(SGN16) | T | 0,1µm oder Inkr.


Stützpunkte der Achse (P-COMP-00025)

Mit dem Parameter "kw.ssfk.table[i].setpoint" werden die Stützpunkte der Achse definiert, bei denen die Achse korrigiert werden muß.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
setpoint | SGN32 | MIN(SGN32) < setpoint < MAX(SGN32) | T | 0,1µm oder Inkremente


Beispiel einer Korrekturwertliste

Das folgende Bild zeigt eine Korrekturwertliste mit den Eigenschaften:

q Nicht äquidistante Stützstellen (kw.ssfk.interval = 0)

q Doppelseitige Korrekturtabelle (kw.ssfk.bilateral = 1)

q Positionsangaben metrisch (kw.ssfk.unit = 1)

q Korrekturwerttabelle mit 140 Einträgen (kw.ssfk.kw_nr_max = 140). Der Index der Positions- und Sollwerteinträge geht von 0 bis 139.

q Bei der dritten vermessenen Position (table[2]) wurden die folgenden Werte gemessen:

Programmierte Position i-ter Sollwert | Messwert pos i-ter Istwert (pos Richtung) | Messwert neg i-ter Istwert (neg Richtung) | errechneter Korrekturwert pos | Errechneter Korrekturwert neg
19866,7 μm | 19856,5 μm | 19874,7 μm | -102 x 0,1 μm | 80 x 0,1 μm

kopf.log_achs_nr 2

kopf.log_achs_name Y-ACHSE

kw.ssfk.interval 0

kw.ssfk.kw_startpos -200000

kw.ssfk.kw_nr_max 140

kw.ssfk.unit 1

kw.ssfk.bilateral 1

kw.ssfk.table[0].setpoint -200000

kw.ssfk.table[1].setpoint -199306

kw.ssfk.table[2].setpoint -198667

kw.ssfk.table[3].setpoint -198001

...

kw.ssfk.table[138].setpoint 334488

kw.ssfk.table[139].setpoint 335591

kw.ssfk.table[0].pos 0

kw.ssfk.table[1].pos 24

kw.ssfk.table[2].pos -102

...

kw.ssfk.table[139].pos -55

kw.ssfk.table[0].neg 0

kw.ssfk.table[1].neg 67

kw.ssfk.table[2].neg 80

...

kw.ssfk.table[139].neg 114